%def_disable static

Name: libgluezilla
Version: 2.6
Release: alt2

Summary: Glue library for Winforms Web Control

License: GPLv2
Url: http://www.mono-project.com
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>

Source: http://ftp.novell.com/pub/mono/sources/gluezilla/%name-%version.tar
Patch0: %name-%version-%release.patch

# Automatically added by buildreq on Sat Nov 22 2008
BuildRequires: gcc-c++ glibc-devel libgtk+2-devel xulrunner-devel
BuildPreReq: libnss-devel

%description
A simple library to embed Gecko (xulrunner) for the Mono Winforms
WebControl.

%prep
%setup -q
%patch0 -p1

%build
%autoreconf
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/libgluezilla.so*
%doc AUTHORS COPYING ChangeLog* README TODO

%changelog
* Fri Mar 12 2010 Alexey Shabalin <shaba@altlinux.ru> 2.6-alt2
- fix build with new xulrunner

* Tue Dec 15 2009 Alexey Shabalin <shaba@altlinux.ru> 2.6-alt1
- 2.6

* Thu Dec 10 2009 Alexey Shabalin <shaba@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Tue Jun 30 2009 Alexey Shabalin <shaba@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Mon Apr 13 2009 Alexey Shabalin <shaba@altlinux.ru> 2.4-alt1
- 2.4

* Thu Jan 15 2009 Alexey Shabalin <shaba@altlinux.ru> 2.2-alt1
- 2.2
- change Packager

* Sat Nov 22 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt1
- initial build for ALT Linux Sisyphus

